aspose file tools*
The moose likes JBoss/WildFly and the fly likes JBoss3.0 can't support EJB2.0? Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Spring in Action this week in the Spring forum!
JavaRanch » Java Forums » Products » JBoss/WildFly
Bookmark "JBoss3.0 can Watch "JBoss3.0 can New topic
Author

JBoss3.0 can't support EJB2.0?

frankie huang
Greenhorn

Joined: Dec 17, 2002
Posts: 18
when i place a local interface in the .jar file, it report error.
meka toka
Ranch Hand

Joined: Dec 11, 2002
Posts: 75
hi,
When are you getting the error ? while running the client ? compiling the client ?
Meka Toka


Thanks<br />MekaToka<br />SCJP 1.4
Mag Hoehme
Ranch Hand

Joined: Apr 07, 2002
Posts: 194
Hi Frankie,
if you want to make use of CMP, check your ejb-jar.xml: The DOCTYPE tag must refer to the correct DTD - check the versions and the exact spelling (dots, slashes, etc.). Secondly, the tag <cmp-version>2.x</cmp-version> must be there. Make sure you didn't cut and paste an earlier version from somewhere. Here is an example ejb-jar.xml containing the corrections I missed in such a case:

Hope this helps.
[ January 08, 2003: Message edited by: Mag Hoehme ]

Mag
frankie huang
Greenhorn

Joined: Dec 17, 2002
Posts: 18
Thank you very much! got you.
 
With a little knowledge, a cast iron skillet is non-stick and lasts a lifetime.
 
subject: JBoss3.0 can't support EJB2.0?